ConstantDynamicEntry (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: ConstantDynamicEntry
Keywords: java.lang.classfile.constantpool.ConstantDynamicEntry interface

# Interface ConstantDynamicEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `DynamicConstantPoolEntryPREVIEW`, `LoadableConstantEntryPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

public sealed interface ConstantDynamicEntry extends DynamicConstantPoolEntryPREVIEW, LoadableConstantEntryPREVIEW
`ConstantDynamicEntry` is a preview API of the Java platform.
Programs can only use `ConstantDynamicEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a `CONSTANT_Dynamic_info` constant in the constant pool of a classfile.

See Java Virtual Machine Specification:
  4.4.10 The CONSTANT_Dynamic_info and CONSTANT_InvokeDynamic_info Structures
Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default DynamicConstantDesc<?>`
  `asSymbol()`
  Returns the symbolic descriptor for the `invokedynamic` constant.
  `default ConstantDesc`
  `constantValue()`
  Returns the constant described by this entry.
  `default TypeKindPREVIEW`
  `typeKind()`
  Returns the type of the constant.
  `default ClassDesc`
  `typeSymbol()`
  Returns a symbolic descriptor for the dynamic constant's type.

  ### Methods declared in interface java.lang.classfile.constantpool.DynamicConstantPoolEntryPREVIEW

  `bootstrap, bootstrapMethodIndex, name, nameAndType, type`

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### typeSymbol

    default ClassDesc typeSymbol()
    Returns a symbolic descriptor for the dynamic constant's type.
    Returns:
      a symbolic descriptor for the dynamic constant's type

  - ### constantValue

    default ConstantDesc constantValue()
    Description copied from interface: `LoadableConstantEntry`
    Returns the constant described by this entry.
    Specified by:
      `constantValue` in interface `LoadableConstantEntryPREVIEW`
    Returns:
      the constant described by this entry

  - ### asSymbol

    default DynamicConstantDesc<?> asSymbol()
    Returns the symbolic descriptor for the `invokedynamic` constant.
    Returns:
      the symbolic descriptor for the `invokedynamic` constant

  - ### typeKind

    default TypeKindPREVIEW typeKind()
    Returns the type of the constant.
    Specified by:
      `typeKind` in interface `LoadableConstantEntryPREVIEW`
    Returns:
      the type of the constant